<?php 

	$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
	
	// sélection de la base  

	mysql_select_db('smartpass',$db)  or die('Erreur de selection '.mysql_error()); 

	$req = "SELECT * FROM PointsVisibles WHERE id=9";
	$ress = mysql_query($req)  or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

	$req2 = "SELECT * FROM PointsVisibles WHERE id=10";
	$ress2 = mysql_query($req2)  or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

	$file= fopen("parcours.xml", "w+");
	$xml .="<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\r\n";

	//Points Visibles
	$xml .="\r<point>\r\n";
	while ($ligne = mysql_fetch_array($ress)) {
		$xml .="<idVi>".$ligne['id']."</idVi>\n";
		$xml .="<NomLieuVi>".$ligne['NomLieu']."</NomLieuVi>";
		$xml .="<MiniDescVi>".$ligne['MiniDescription']."</MiniDescVi>";
		$xml .="<DescriptionVi>".$ligne['Description']."</DescriptionVi>";
		$xml .="<NumeroVi>".$ligne['Numero']."</NumeroVi>";
		$xml .="<AdresseVi>".$ligne['Adresse']."</AdresseVi>";
		$xml .="<CodePostalVi>".$ligne['CodePostal']."</CodePostalVi>";
		$xml .="<VilleVi>".$ligne['Ville']."</VilleVi>";
	}
	while ($ligne = mysql_fetch_array($ress2)) {
		$xml .="<idIn>".$ligne['id']."</idIn>\n";
		$xml .="<NomLieuIn>".$ligne['NomLieu']."</NomLieuIn>";
		$xml .="<MiniDescIn>".$ligne['MiniDescription']."</MiniDescIn>";
		$xml .="<DescriptionIn>".$ligne['Description']."</DescriptionIn>";
		$xml .="<NumeroIn>".$ligne['Numero']."</NumeroIn>";
		$xml .="<AdresseIn>".$ligne['Adresse']."</AdresseIn>";
		$xml .="<CodePostalIn>".$ligne['CodePostal']."</CodePostalIn>";
		$xml .="<VilleIn>".$ligne['Ville']."</VilleIn>";
	}
	$xml .="\r</point>\r\n";
	#$xml .="\r<pointInvisible>\r\n";
	#$xml .="\r</pointInvisible>\r\n";




	file_put_contents("parcours_caen.xml", $xml); #ici tu mets le nom du fichier
	fclose($file);
	echo "le fichier XML a bien ete ecrit  <a href=\"parcours_caen.xml\">Voir le document.</a>";
	mysql_close();
?>

